body {
  margin: 0;
  padding: 0;
}

::-webkit-scrollbar {
  width: 0px;  /* Remove scrollbar space */
  height: 0px;
  background: transparent;  /* Optional: just make scrollbar invisible */
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}


.container, .menu, .content, .order{
  height: 100vh;
  min-height: 900px;
  display:flex;
}

/* Heading/H1 */
h1{
  margin: 0;
  font-family: 'Barlow', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 28px;
  line-height: 140%;
  color: #FFFFFF;
}

h2{
  margin: 0;
  font-family: 'Barlow', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 20px;
  line-height: 140%;
  color: #FFFFFF;
}

/* Body/Large - regular */

.body-large-regular {
  margin: 0;
  font-family: 'Barlow', sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 140%;
  color: #E0E6E9;
}

/* Body / Normal - Semibold */
.content-filter__li__text {
  font-family: 'Barlow', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 140%;
  color: white;
}

/* Body / Normal - Medium */
.medium {
  font-family: 'Barlow', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 100%;
  color: white;
}
/* Menu style */

.menu {
  width: 104px;
  background-color: var(--main-bg-color);
  align-items: center;
  flex-direction: column;
}

.menu_logo {
  margin-top: 24px;
}

.menu_menu__ul, .menu_exit {
  list-style-type: none;
  padding: 0;
}

.menu_menu li {
  width: 105px;
  height: 102px;
  display: flex;
  align-items: center;
  justify-content: center;
  }

.menu_menu li:hover {
  background-image: url(img/main/Menu-pattern.svg);
  background-repeat: no-repeat;
  background-position-x: right;
}

.menu_menu__li__sale:hover img {
  background: #EA7C69;
  box-shadow: 0px 8px 24px rgba(234, 124, 105, 0.32);
  border-radius: 8px;
  content: url(img/main/Sale-hover.svg);
}
.menu_menu__li__home:hover img {
  background: #EA7C69;
  box-shadow: 0px 8px 24px rgba(234, 124, 105, 0.32);
  border-radius: 8px;
  content: url(img/main/Home-hover.svg);
}

.menu_menu__li__report:hover img {
  background: #EA7C69;
  box-shadow: 0px 8px 24px rgba(234, 124, 105, 0.32);
  border-radius: 8px;
  content: url(img/main/Report-hover.svg);
}

.menu_menu__li__message:hover img {
  background: #EA7C69;
  box-shadow: 0px 8px 24px rgba(234, 124, 105, 0.32);
  border-radius: 8px;
  content: url(img/main/Message-hover.svg);
}

.menu_menu__li__notificatioin:hover img {
  background: #EA7C69;
  box-shadow: 0px 8px 24px rgba(234, 124, 105, 0.32);
  border-radius: 8px;
  content: url(img/main/Notification-hover.svg);
}

.menu_menu__li__settings:hover img {
  background: #EA7C69;
  box-shadow: 0px 8px 24px rgba(234, 124, 105, 0.32);
  border-radius: 8px;
  content: url(img/main/Settings-hover.svg);
}

.menu_exit {
  padding-top: 100px;
}

.menu_exit__li__exit:hover img {
  content: url(img/main/Exit-hover.svg);
}

/* Content style */

.content {
  width: calc(65% - 104px);
  min-width: 600px;
  background-color: var(--content-bg-color);
  display: flex;
  flex-direction: column;
  overflow: scroll;

}

.content-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin: 24px;
}

.content-header__search__form__input {
  height: 48px;
  width: 200px;
  border-radius: 8px;
  border: 1px solid #393C49;
  background-color: var(--form-bg-color);
  padding-left: 20px;
}

.content-filter__ul {
  list-style-type: none;
  justify-content: flex-start;
  display: flex;
  flex-direction: row;
}

.content-filter__li {
  padding-right: 30px;
  border-block-end: 1px solid #393C49;
}

.content-filter__li a{
  color:white;
  text-decoration: none;
}

.content-filter__li:hover {
  border-block-end: 3px solid #EA7C69;
  margin-bottom: -2px;
  transition: 0.2s;
}

.content-menu {
  margin: 35px 0px 0px 30px;
}

.content-menu__items__block {
  justify-content: space-between;
  display: flex;
  flex-wrap: wrap;
}

.content-menu__items__block__item {
  width: 26%;
  height: 220px;
  border-radius: 16px;
  background-color: var(--main-bg-color);
  margin: 100px 30px 30px 30px;
}

.content-menu__items__block__item:hover {
  box-shadow: 0px 8px 24px rgba(234, 124, 105, 0.32);
  transform: scale(1.01);
  transform: rotate(1deg);
  transition: 0.2s;
}

.content-menu__items__block__item:hover .item__img{
  transform: scale(1.00);
  transition: 0.1s;
}


.item__img {
  position: relative;
  bottom: 50px;
  text-align: center;
}

.item__title__text, .item__price__text, .item__av__text {
  margin: 0;
  font-family: 'Barlow', sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 130%;
  color: #E0E6E9;
  text-align: center;
}

.item__av__text {
  font-size: 12px;
  line-height: 40px;
  color: #ABBBC2;
}

.order {
  width: 35%;
  background-color: var(--main-bg-color);
}

.order-content {
  margin: 24px;
  width: 100%;
}

.order-content__button {
  margin: 24px 0px 0px 0px;
}

.order-content__button button{
  background-color: rgba(234, 124, 105, 0);
  height: 34px;
  border-radius: 8px;
  border: 1px solid #393C49;
  font-family: 'Barlow', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 140%;
  color:#EA7C69;
  padding: 5px 30px 5px 30px;
  margin: 0px 5px 0px 0px;
}

.order-content__button button:focus {
  background-color:#EA7C69;
  color: white;
  outline: none;
}

.order-content__order__header {
  justify-content: flex-start;
  display: flex;
  flex-direction: row;
  flex-grow: 1;
  border-block-end: 1px solid #393C49;
}

.order-content__order__header__Item, .order__item {
  flex-grow: 5;
}

.order-content__order__header__Price, .order-content__order__header__Qty, .order__q, .order__price {
  flex-grow: 1;
  text-align: end;
}

.order-content__order__item {
  margin: 24px 0px 0px 0px; 
}

.order__item {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.order__image__item {
  width: 45px;
}

.order__title {
padding: 0px 0px 0px 8px;
}

.order_q_item {
width: 48px;
height: 48px;
border-radius: 8px;
background-color: var(--content-bg-color);
color: white;
padding: 0;
border: 1px solid #393C49;
text-align: center;
}

.order-content__order__item__1st {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.order-content__order__item__2nd {
  display: flex;
  flex-direction: row;
}



.order__comment {
  flex-grow: 30;
  margin-right: 14px;
}

.order__comment__item {
  width: calc(100% - 12px);
  height: 48px;
  border-radius: 8px;
  background-color: var(--content-bg-color);
  color: white;
  padding: 0;
  border: 1px solid #393C49;
  padding: 0px 0px 0px 10px;
}

.order__delete {
  flex-grow: 1;
  text-align: end;
}

.order__delete:hover {
  transform: scale(1.1);
  transition: 0.2s;
}

.order-content__order {
  max-height: 350px;
  overflow: scroll;
}

.order-content__order__subtotal {
  border-block-start: 1px solid #393C49;
  margin-top: 10px;
  flex-grow: 1;
}

.order-content__order__sum {
  display: flex;
  align-items: flex-end;
  flex-grow: 1;
}

.order-content__orderbutton button{
  width: 100%;
  border-radius: 8px;
  height: 48px;
  background: #EA7C69;
  color: white;
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 140%;
  border: 1px solid #393C49;
}